Subject: ab/config-based-hooks-2 (was: What's cooking in git.git (Jan 2022, #04; Fri, 14))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 18 Jan 2022 16:59:04 +0100

On Fri, Jan 14 2022, Junio C Hamano wrote:

> * ab/config-based-hooks-2 (2022-01-07) 17 commits
>  - run-command: remove old run_hook_{le,ve}() hook API
>  - receive-pack: convert push-to-checkout hook to hook.h
>  - read-cache: convert post-index-change to use hook.h
>  - commit: convert {pre-commit,prepare-commit-msg} hook to hook.h
>  - git-p4: use 'git hook' to run hooks
>  - send-email: use 'git hook run' for 'sendemail-validate'
>  - git hook run: add an --ignore-missing flag
>  - hooks: convert worktree 'post-checkout' hook to hook library
>  - hooks: convert non-worktree 'post-checkout' hook to hook library
>  - merge: convert post-merge to use hook.h
>  - am: convert applypatch-msg to use hook.h
>  - rebase: convert pre-rebase to use hook.h
>  - hook API: add a run_hooks_l() wrapper
>  - am: convert {pre,post}-applypatch to use hook.h
>  - gc: use hook library for pre-auto-gc hook
>  - hook API: add a run_hooks() wrapper
>  - hook: add 'run' subcommand
>
>  More "config-based hooks".
>
>  Will merge to 'next', with minor nits?
>  source: <[email-masked]>

I'd really like that, if you're OK with it.

I.e. I could re-roll it, but those comments are relatively minor, and in
any case will be addressed eventually by subsequent to-be-submitted
parts of the hook.[ch] API conversion.

So unless Emily or Glen have strong objections I think it makes sense to
mark it for 'next'. Thanks!